/*
/// Typography
*/

/* Our variables
//-------------------------------------
*/

:root {

  --system-font: BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
  --base-font: var(--base-font-name, -apple-system), var(--system-font);
  --title-font: var(--title-font-name, -apple-system), var(--system-font);
  --mono-font: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, Liberation Mono, Courier New, monospace;

  --ratio: 1.125;
  --base: 1;
  --base-em: calc(var(--base) * 1em);
  --base-rem: calc(var(--base) * 1rem);

  --ms0: 1;
  --ms1: var(--ratio);
  --ms2: calc(var(--ratio) * var(--ms1));
  --ms3: calc(var(--ratio) * var(--ms2));
  --ms4: calc(var(--ratio) * var(--ms3));
  --ms5: calc(var(--ratio) * var(--ms4));
  --ms6: calc(var(--ratio) * var(--ms5));
  --ms7: calc(var(--ratio) * var(--ms6));
  --ms8: calc(var(--ratio) * var(--ms7));
  --ms9: calc(var(--ratio) * var(--ms8));

  --text-xs: calc(var(--base-em) * 0.75);
  --text-sm: calc(var(--base-em) * 0.875);
  --text-base: calc(var(--base-em) * var(--ms0));
  --text-lg: calc(var(--base-em) * var(--ms1));
  --text-xl: calc(var(--base-em) * var(--ms2));
  --text-2xl: calc(var(--base-em) * var(--ms3));
  --text-3xl: calc(var(--base-em) * var(--ms4));
  --text-4xl: calc(var(--base-em) * var(--ms5));
  --text-5xl: calc(var(--base-em) * var(--ms6));
  --text-6xl: calc(var(--base-em) * var(--ms7));
  --text-7xl: calc(var(--base-em) * var(--ms8));
  --text-8xl: calc(var(--base-em) * var(--ms9));

  --line-height-base: 1.5;
  --baseline: 1.5rem;

  --min-font-size: 16;
  --max-font-size: 20;
  --fluid-size: var(--min-font-size) * 1px + (var(--max-font-size) - var(--min-font-size)) * ((100vw - 600px) / (1800 - 600));
}

/*--------------------------------------
// Typography
--------------------------------------*/

:root {
  font-size: clamp(var(--min-font-size) * 1px, var(--fluid-size), var(--max-font-size) * 1px);
}

body {
  margin: 0;
  padding-bottom: 0;
  line-height: var(--line-height-base);
  font-family: var(--base-font);
  color: var(--text-color,--color-gray-700);
  background: var(--background-color-body, transparent);
}

@media (prefers-reduced-data: reduce) {
  body {
    font-family: var(--system-font);
  }
}

h1,
h2,
h3,
h4,
h5,
h6 label,
legend {
  margin-top: 0;
  margin-bottom: var(--baseline);
  font-family: var(--title-font);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--heading-color,--color-gray-900);
}

h6,
.h6,
.text-xs {
  font-size: var(--text-xs);
}

small,
.text-sm {
  font-size: var(--text-sm);
}

h5,
.h5,
.text-base {
  font-size: var(--text-base);
}

h4,
.h4,
.text-lg {
  font-size: var(--text-lg);
}

h3,
.h3,
.text-xl {
  font-size: var(--text-xl);
}

h2,
.h2,
.text-2xl {
  font-size: var(--text-2xl);
}

.text-3xl {
  font-size: var(--text-3xl);
  line-height: 1.333;
}

h1,
.h1,
.text-4xl {
  font-size: var(--text-4xl);
  line-height: 1.25;
}

.text-5xl {
  font-size: var(--text-5xl);
  line-height: 1.125;
}

.text-6xl {
  font-size: var(--text-6xl);
  line-height: 1.1;
}

.text-7xl {
  font-size: var(--text-7xl);
  line-height: 1;
}

@media (min-width: 48rem) {

  .md\:text-lg {
    font-size: 1.125rem;
    line-height: 1.75rem
  }

}

@media (min-width: 64rem) {

  .lg\:text-xs {
    font-size: .75rem;
    line-height: 1rem
  }

  .lg\:text-sm {
    font-size: .875rem;
    line-height: 1.25rem
  }

  .lg\:text-base {
    font-size: 1rem;
    line-height: 1.5rem
  }

  .lg\:text-lg {
    font-size: 1.125rem;
    line-height: 1.75rem
  }
}

h1 small,
h2 small,
h3 small {
  font-size: 75%;
}

p,
ul,
ol {
  margin: 0 0 calc(var(--line-height-base) * 1rem);
}

.font-bold {
  font-weight: 700
}
.font-normal {
  font-weight: 400;
}

.tracking-wide {
  letter-spacing: .025em
}

.uppercase {
  text-transform: uppercase
}

.small-caps {
  font-variant: small-caps
}

.fill-current {
  fill: currentColor
}

sup {
  line-height: 0;
}
@supports(font-feature-settings: 'sups') {
    sup {
        vertical-align: baseline;
        font-size: inherit;
    }
}

/* Prose */

.prose a:not(.btn) {
  color: var(--link-color,--base-color);
  text-decoration: underline;
}

/* Links */
.prose a[href^="http"]::after,
a.link-external::after {
  content: "\2197"; /* ↗︎ */
  display: inline-block;
  position: relative;
  top: .1em;
  margin-left: .1em;
  margin-right: .25em;
}

.prose a.link-pdf::after {
  content: "("attr(data-type)")";
  text-transform: uppercase;
  display: inline-block;
  color: rgba(75, 85, 99);
  margin-left: .25em;
}

.prose a:hover {
  text-decoration: none;
}

.prose h2 + h3 {
  margin-top: 0;
}

.prose blockquote {
  margin: 1rem 0;
  position: relative;
  font-style: italic;
  font-family: serif;
  font-size: var(--text-2xl);
  letter-spacing: -0.005em;
  line-height: 1.333;
}
.prose blockquote::before {
  content: "“";
  display: block;
  color: var(--color-gray-300);
  font-family: serif;
  font-size: var(--text-xl);
  font-weight: bold;
  font-style: normal;
  line-height: .5;
}

.prose figcaption {
  color: var(--color-gray-500);
}
.prose figcaption .figcaption__title {
  color: var(--color-gray-700);
  margin-bottom: 0;
}
.prose figcaption .figcaption__text {
  margin-bottom: 0;
}
.prose figcaption .credit {
  font-size: var(--text-xs);
  text-transform: uppercase;
  letter-spacing: 0.01em;
  margin-top: .25rem;
}

.prose table {
  table-layout: auto;
  border-collapse: collapse;
  width: 100%;
  margin: 2rem 0;
}

.prose table th,
.prose table td {
  padding: .5rem 1rem;
  border: 1px solid #CBD5E0;
}

.prose table thead {
  background-color: rgb(249, 250, 251);
}

.prose table caption {
  text-align: left;
  margin-bottom: var(--baseline);
}

.prose ul {
  padding-left: 1em;
  list-style: initial;
}

.prose ol {
  padding-left: 1em;
  list-style: decimal;
}

.prose ul li,
.prose ol li {
  padding-left: 0.5em;
  padding-bottom: 0.5em;
}

.prose p:last-child {
  margin-bottom: 0;
}

.prose pre,
.prose code {
  font-family: var(--mono-font);
  font-size: 87.5%;
  font-variant-ligatures: none;
}

.prose code {
  color: var(--color-gray-900);
}
.prose code::before {
  content: "`";
}
.prose code::after {
  content: "`";
}

.prose pre {
  background-color: var(--color-gray-800);
  color: var(--color-gray-100);
  padding: 1em;
  border-radius: .25em;
  white-space: pre-wrap;
  overflow-x: auto;
  tab-size: 2;
}
